RIFFHeader Struct Reference

RIFF 44-byte header structure for MS wav files. More...

## Data Fields

char | rifftag [4]
int32 | TotalLength
char | wavefmttag [8]
int32 | RemainingLength
int16 | data_format
int16 | numchannels
int32 | SamplingFreq
int32 | BytesPerSec
int16 | BlockAlign
int16 | BitsPerSample
char | datatag [4]
int32 | datalength

## Detailed Description

RIFF 44-byte header structure for MS wav files.

Definition at line 98 of file sphinx_fe.c.

## Field Documentation

## BitsPerSample

int16 RIFFHeader::BitsPerSample

Definition at line 108 of file sphinx_fe.c.

## BlockAlign

int16 RIFFHeader::BlockAlign

Definition at line 107 of file sphinx_fe.c.

## BytesPerSec

int32 RIFFHeader::BytesPerSec

Definition at line 106 of file sphinx_fe.c.

## data_format

int16 RIFFHeader::data_format

Definition at line 103 of file sphinx_fe.c.

## datalength

int32 RIFFHeader::datalength

Definition at line 110 of file sphinx_fe.c.

## datatag

char RIFFHeader::datatag[4]

Definition at line 109 of file sphinx_fe.c.

## numchannels

int16 RIFFHeader::numchannels

Definition at line 104 of file sphinx_fe.c.

## RemainingLength

int32 RIFFHeader::RemainingLength

Definition at line 102 of file sphinx_fe.c.

## rifftag

char RIFFHeader::rifftag[4]

Definition at line 99 of file sphinx_fe.c.

## SamplingFreq

int32 RIFFHeader::SamplingFreq

Definition at line 105 of file sphinx_fe.c.

## TotalLength

int32 RIFFHeader::TotalLength

Definition at line 100 of file sphinx_fe.c.

## wavefmttag

char RIFFHeader::wavefmttag[8]

Definition at line 101 of file sphinx_fe.c.

The documentation for this struct was generated from the following file:

- src/sphinx_fe/sphinx_fe.c